using System;

namespace Aitex.Core.RT.DataCollection.HighPerformance;

public interface IDataBuffer
{
    int Index { get; }
    
    string Name { get; }
    
    Type ValueType { get; }
    
    Func<object> Read{ get; }

    void Cache(long timestamp);

    string Get(long timestamp);
}